package com.mints.goodmoney.manager;

import android.content.Context;

import com.bytedance.sdk.openadsdk.TTAdConfig;
import com.bytedance.sdk.openadsdk.TTAdConstant;
import com.bytedance.sdk.openadsdk.TTAdSdk;
import com.mints.goodmoney.BuildConfig;
import com.mints.goodmoney.MintsApplication;
import com.mints.goodmoney.common.Constant;
import com.mints.goodmoney.mvp.model.AdcodeBean;
import com.mints.goodmoney.mvp.model.UserMsgBean;
import com.mints.library.utils.CommonUtils;

/**
 * 穿山甲广告
 */
public class TtCsjAdManager {

    public static final String TT_AD_APPID = "5113521";
    public static final String TT_AD_NAME = Constant.MINTS_APP_NAME;

    /*banner*/
    public static String TT_AD_BANNER_MY = "945661050";// 个人中心
    public static String TT_AD_BANNER_JULEYUN = "945675532";// 聚乐云
    /*激励视频*/
    public static String TT_AD_VEDIO_MAIN_DEV = "945561938";// 开发使用
    public static String TT_AD_VEDIO_DRINK = "945562032";//喝水打卡
    public static String TT_AD_VEDIO_MAIN = "945562036";// 我的界面视频
    public static String TT_AD_VEDIO_ERASE = "945562037";// 刮刮乐
    public static String TT_AD_VEDIO_TURNABLE = "945562039";// 大转盘
    public static String TT_AD_VEDIO_MOREDIALOG = "945562040";// 签到、气泡、离线弹框
    public static String TT_AD_VEDIO_GAME = "945562067";// 猎豹
    public static String TT_AD_VEDIO_JULEYUN = "945675529";// 聚乐云
    /*信息流*/
    public static String TT_AD_NATIVEEXPRESS_AWARD = "945562047";//信息流弹窗
    public static String TT_AD_NATIVEEXPRESS_WALK = "945562480";//走路
    public static String TT_AD_NATIVEEXPRESS_WATER = "945562698";//喝水
    public static String TT_AD_NATIVEEXPRESS_MORNINGCLOCK = "945627921";//早上打卡
    public static String TT_AD_NATIVEEXPRESS_EAT = "945627922";//餐补
    public static String TT_AD_NATIVEEXPRESS_ID_LIEBAO_LISTEXIT = "945562050";//猎豹列表和退出
    /*全屏广告*/
    public static String TT_AD_ALLVEDIO_ID_LIEBAO = "945562481";//猎豹全屏带跳过按钮
    /*插屏广告*/
    public static String TT_AD_INSERT_LOADING_ID_LIEBAO = "945608874";//猎豹游戏加载时
    public static String TT_AD_INSERT_LOADING_ID_JULEYUN = "945675533";//聚乐云

    private static boolean sInit;

    public static com.bytedance.sdk.openadsdk.TTAdManager get() {
        if (!sInit) {
            throw new RuntimeException("TTAdSdk is not init, please check.");
        }
        return TTAdSdk.getAdManager();
    }

    public static void init(Context context) {
        doInit(context);
    }

    //step1:接入网盟广告sdk的初始化操作，详情见接入文档和穿山甲平台说明
    private static void doInit(Context context) {
        if (!sInit) {
            TTAdSdk.init(context, buildConfig(context));
            sInit = true;
        }
    }

    public static String getVersion() {
        return TTAdSdk.getAdManager().getSDKVersion();
    }

    private static TTAdConfig buildConfig(Context context) {
        boolean logFlag;
        if (BuildConfig.DEBUG) {
            logFlag = true;
        } else {
            logFlag = false;
        }

        return new TTAdConfig.Builder()
                .appId(TT_AD_APPID)
                .useTextureView(true) //使用TextureView控件播放视频,默认为SurfaceView,当有SurfaceView冲突的场景，可以使用TextureView
                .appName(TT_AD_NAME)
                .titleBarTheme(TTAdConstant.TITLE_BAR_THEME_DARK)
                .allowShowNotify(true) //是否允许sdk展示通知栏提示
                .allowShowPageWhenScreenLock(false) //是否在锁屏场景支持展示广告落地页
                .debug(logFlag) //测试阶段打开，可以通过日志排查问题，上线时去除该调用
                .directDownloadNetworkType(TTAdConstant.NETWORK_STATE_WIFI, TTAdConstant.NETWORK_STATE_3G) //允许直接下载的网络状态集合
                .supportMultiProcess(false)//是否支持多进程
                //.httpStack(new MyOkStack3())//自定义网络库，demo中给出了okhttp3版本的样例，其余请自行开发或者咨询工作人员。
                .build();
    }

    /**
     * 按包渠道更新代码位
     */
    public static void updataIdByChannel(AdcodeBean idBean) {
        // 渠道对象为空
        if (idBean == null) {
            String channel = CommonUtils.getAppMetaData(MintsApplication.getContext(), "CHANNEL_NAME");
            if (channel.contains(ChannelManager.CHANNEL_TOUTIAO)) {
                // 信息流
                TT_AD_NATIVEEXPRESS_AWARD = "945666217";
                TT_AD_NATIVEEXPRESS_WALK = "945666097";
                TT_AD_NATIVEEXPRESS_WATER = "945666097";
                TT_AD_NATIVEEXPRESS_MORNINGCLOCK = "945666097";
                TT_AD_NATIVEEXPRESS_EAT = "945666097";

                // 激励视频
                TT_AD_VEDIO_DRINK = "945666029";
                TT_AD_VEDIO_MAIN = "945666029";
                TT_AD_VEDIO_ERASE = "945666029";
                TT_AD_VEDIO_TURNABLE = "945666029";
                TT_AD_VEDIO_MOREDIALOG = "945666029";

                // banner
                TT_AD_BANNER_MY="945666042";
            } else {
                // 自有默认
                // 信息流
                TT_AD_NATIVEEXPRESS_AWARD = "945562047";
                TT_AD_NATIVEEXPRESS_WALK = "945562480";
                TT_AD_NATIVEEXPRESS_WATER = "945562698";
                TT_AD_NATIVEEXPRESS_MORNINGCLOCK = "945627921";
                TT_AD_NATIVEEXPRESS_EAT = "945627922";

                // 激励视频
                TT_AD_VEDIO_DRINK = "945562032";
                TT_AD_VEDIO_MAIN = "945562036";
                TT_AD_VEDIO_ERASE = "945562037";
                TT_AD_VEDIO_TURNABLE = "945562039";
                TT_AD_VEDIO_MOREDIALOG = "945562040";

                // banner
                TT_AD_BANNER_MY="945661050";
            }
        } else {
            // 后台返回 用户注册渠道
            // 信息流
            TT_AD_NATIVEEXPRESS_AWARD = idBean.getCsj().getCsjv1();
            TT_AD_NATIVEEXPRESS_WALK = idBean.getCsj().getCsjv2();
            TT_AD_NATIVEEXPRESS_WATER = idBean.getCsj().getCsjv2();
            TT_AD_NATIVEEXPRESS_MORNINGCLOCK = idBean.getCsj().getCsjv2();
            TT_AD_NATIVEEXPRESS_EAT = idBean.getCsj().getCsjv2();

            // 激励视频
            TT_AD_VEDIO_DRINK = idBean.getCsj().getCsjv3();
            TT_AD_VEDIO_MAIN = idBean.getCsj().getCsjv3();
            TT_AD_VEDIO_ERASE = idBean.getCsj().getCsjv3();
            TT_AD_VEDIO_TURNABLE =idBean.getCsj().getCsjv3();
            TT_AD_VEDIO_MOREDIALOG = idBean.getCsj().getCsjv3();

            // banner
            TT_AD_BANNER_MY=idBean.getCsj().getCsjv4();
        }
    }
}
