package com.mints.goodmoney.manager

import android.content.Context
import com.mints.goodmoney.MintsApplication
import com.mints.goodmoney.mvp.model.AdcodeBean
import com.mints.goodmoney.mvp.model.UserMsgBean
import com.mints.library.utils.CommonUtils
import com.qq.e.comm.managers.GDTADManager

/**
 * 描述：优量汇广告
 * 作者：孟崔广
 */
object YlhAdManager {

    /* 优量汇appid */
    const val YLH_AD_APPID = "1111046903"


    /* splash-postid */
    var YLH_AD_SPLASH_POSTID = "7021944730189381"

    /* vedio-postid */
    var YLH_AD_VEDIO_DRINK_POSTID = "2031043750380462" //喝水打卡
    var YLH_AD_VEDIO_MAIN_POSTID = "8081940760988417" //我的界面视频
    var YLH_AD_VEDIO_ERASE_POSTID = "9061142700180449" //挑战刮刮乐
    var YLH_AD_VEDIO_TURNABLE_POSTID = "5051746700185561" //大转盘
    var YLH_AD_VEDIO_MOREDIALOG_POSTID = "9001346780383626" //签到、气泡、离线弹框
    var YLH_AD_VEDIO_GAME_POSTID = "9051646750686770" //猎豹游戏
    var YLH_AD_VEDIO_JULEYUN_POSTID = "1011746770898338" //聚乐云

    /*信息流*/
    var YLH_AD_NATIVEEXPRESS_JULEYUN = "8041941770890627" //聚乐云

    /* 插屏 */
    var YLH_AD_INTERSTITIALAD_LIEBAO = "1021648750986824" //猎豹
    var YLH_AD_INTERSTITIALAD_JULEYUN = "4051047730890430" //聚乐云

    /**
     * 广告初始化
     */
    fun initYlhAd(context: Context) {
        GDTADManager.getInstance().initWith(context, YLH_AD_APPID)
    }

    /**
     * 更新代码位
     */
    fun updataIdByChannel(idBean: AdcodeBean?) {
        // 渠道对象为空
        if (idBean == null) {
            val channel = CommonUtils.getAppMetaData(MintsApplication.getContext(), "CHANNEL_NAME")
            if (channel.contains(ChannelManager.CHANNEL_TOUTIAO)) {
                // 头条
                // 开屏
                YLH_AD_SPLASH_POSTID = "4031840694338658"

                // 激励视频
                YLH_AD_VEDIO_DRINK_POSTID = "7091944614237712"
                YLH_AD_VEDIO_MAIN_POSTID = "7091944614237712"
                YLH_AD_VEDIO_ERASE_POSTID = "7091944614237712"
                YLH_AD_VEDIO_TURNABLE_POSTID = "7091944614237712"
                YLH_AD_VEDIO_MOREDIALOG_POSTID = "7091944614237712"
            } else {
                // 自有默认
                // 开屏
                YLH_AD_SPLASH_POSTID = "7021944730189381"

                // 激励视频
                YLH_AD_VEDIO_DRINK_POSTID = "2031043750380462"
                YLH_AD_VEDIO_MAIN_POSTID = "8081940760988417"
                YLH_AD_VEDIO_ERASE_POSTID = "9061142700180449"
                YLH_AD_VEDIO_TURNABLE_POSTID = "5051746700185561"
                YLH_AD_VEDIO_MOREDIALOG_POSTID = "9001346780383626"
            }
        } else {
            // 后台返回 用户注册渠道
            // 开屏
            YLH_AD_SPLASH_POSTID = idBean.ylh.ylhv1

            // 激励视频
            YLH_AD_VEDIO_DRINK_POSTID = idBean.ylh.ylhv2
            YLH_AD_VEDIO_MAIN_POSTID = idBean.ylh.ylhv2
            YLH_AD_VEDIO_ERASE_POSTID = idBean.ylh.ylhv2
            YLH_AD_VEDIO_TURNABLE_POSTID = idBean.ylh.ylhv2
            YLH_AD_VEDIO_MOREDIALOG_POSTID = idBean.ylh.ylhv2
        }
    }
}