package com.mints.goodmoney.ui.fragment

import android.Manifest
import android.annotation.SuppressLint
import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context
import android.os.Bundle
import android.text.TextUtils
import android.view.View
import android.widget.AdapterView
import androidx.recyclerview.widget.DividerItemDecoration
import com.component.dly.xzzq_ywsdk.YwSDK_WebActivity.Companion.open
import com.fly.scenemodule.SceneUtil
import com.mints.goodmoney.BuildConfig
import com.mints.goodmoney.R
import com.mints.goodmoney.ad.banner.BannerManager
import com.mints.goodmoney.ad.video.VedioAdingManager
import com.mints.goodmoney.common.AppConfig
import com.mints.goodmoney.common.Constant
import com.mints.goodmoney.common.DeviceInfo
import com.mints.goodmoney.manager.*
import com.mints.goodmoney.mvp.model.*
import com.mints.goodmoney.mvp.presenters.MyPresenter
import com.mints.goodmoney.mvp.views.MyView
import com.mints.goodmoney.ui.activitys.*
import com.mints.goodmoney.ui.adapter.GvMyAdapter
import com.mints.goodmoney.ui.adapter.MainMyAdapter
import com.mints.goodmoney.ui.adapter.listener.OnItemChildClickListener
import com.mints.goodmoney.ui.fragment.base.BaseFragment
import com.mints.goodmoney.ui.widgets.CustomDialogAsApple
import com.mints.goodmoney.ui.widgets.DialogListener
import com.mints.goodmoney.ui.widgets.ShareDialog
import com.mints.goodmoney.utils.LogUtil
import com.mints.goodmoney.utils.QQJumpUtil
import com.mints.goodmoney.utils.SpanUtils
import com.mints.goodmoney.utils.Utils
import com.mints.library.net.netstatus.NetUtils
import com.mints.library.utils.CommonUtils
import com.mints.library.utils.GlideUtils
import com.mints.library.utils.nodoubleclick.AntiShake
import com.scwang.smartrefresh.layout.api.RefreshLayout
import com.scwang.smartrefresh.layout.listener.OnRefreshListener
import com.tbruyelle.rxpermissions.RxPermissions
import kotlinx.android.synthetic.main.fragment_main_my.*
import kotlinx.android.synthetic.main.header_layout.*
import kotlinx.android.synthetic.main.item_fragment_main_my_clock.*
import kotlinx.android.synthetic.main.item_fragment_main_my_customer_service.*
import kotlinx.android.synthetic.main.item_fragment_main_my_promotions.*
import kotlinx.android.synthetic.main.item_fragment_main_my_title.*
import kotlinx.android.synthetic.main.view_title.*
import net.grandcentrix.tray.AppPreferences
import java.math.BigDecimal
import java.util.*

/**
 * 描述：我
 * 作者：孟崔广
 * 时间：2020/6/4 17:30
 */
@SuppressLint("SetTextI18n")
class MyFragment : BaseFragment(), MyView, OnItemChildClickListener, OnRefreshListener, View.OnClickListener, AdapterView.OnItemClickListener {

    private val TAG = MyFragment::class.java.simpleName

    private val ps by lazy { AppPreferences(context) }
    private val myPresenter by lazy { MyPresenter() }
    private val userManager by lazy { UserManager.getInstance() }
    private lateinit var vedioAdingManager: VedioAdingManager
    private var loadVedioFailCount = 0

    private var userConfig: MyInfo? = null
    private var hotList: List<BannerBean.ListBean>? = arrayListOf()

    // 当天签到金币
    private var carrierType = ""
    private var curSignCoin = 50

    // 签到信息
    private var signCardBean: SignCardBean? = null

    // 任务数据
    private val dataList: MutableList<MyInfo.AutoListBean> = mutableListOf()
    private var mainMyAdapter: MainMyAdapter? = null

    // 轮播图只展示一次
    private var bannerFlag = false

    private var cdaa: CustomDialogAsApple? = null

    override fun getContentViewLayoutID() = R.layout.fragment_main_my

    override fun initViewsAndEvents() {
        myPresenter.attachView(this)
        srl_my.setOnRefreshListener(this)

        initManager()
        initView()
        initRecy()
    }

    override fun onHiddenChanged(hidden: Boolean) {
        if (hidden) { // 不在最前端界面显示
            onPause()
        } else { // 重新显示到最前端中
            onResume()
        }
        super.onHiddenChanged(hidden)
    }

    override fun onPause() {
        super.onPause()
        item_clock_signview.stopRedbox()
    }

    override fun onResume() {
        super.onResume()
        if (AppConfig.fragmentClickFlag == Constant.FRAGMENT_CLICK_MY) {
//            val instance = DeviceInfo.instance
//            LogUtil.d(TAG,"否充电中:${instance.isCharging} 否处于USB调试模式:${instance.getUsbStatus} 是否处于wifi条件:${instance.getWifiConnected}  是否root:${instance.isRoot} ")


            if (!TextUtils.isEmpty(userManager.userID)) {
                myPresenter.getAutoUserHallBaseMsg()
            } else {
                // 游客登录
                myPresenter.userLogin()
            }

            // 防止banner刷新太快
            if (AntiShake.check(fl_my_banner?.id)) return
            BannerManager.getTtBanner(TtCsjAdManager.TT_AD_BANNER_MY, fl_my_banner)
        }
    }

    override fun onDestroyView() {
        item_clock_signview.onDestory()
        super.onDestroyView()
    }

    override fun onDestroy() {
        super.onDestroy()
        fl_my_banner?.removeAllViews()
        BxmManager.onDestory()
        BannerManager.onDestroy()
        myPresenter.detachView()
    }

    override fun getUserTaskMsgSuc(data: MyInfo?) {
        srl_my.finishRefresh(true)

        if (data == null) {
            userConfig = null
            return
        }

        myPresenter.getSignInHomePageMsg()
        if (!bannerFlag) {
            myPresenter.myHotActivity()
        }
        myPresenter.getHallBaseMsg()

        userConfig = data
        handleRecyData()
        setUserLoginStatus()
    }

    override fun getUserTaskMsgFail() {
        srl_my.finishRefresh(false)

        userConfig = null
        item_promotions_egv.visibility = View.GONE
        setUserLoginStatus()
    }

    override fun getMyHotActivitySuc(data: BannerBean?) {
        if (activity != null && !requireActivity().isFinishing) {
            if (!bannerFlag) {
                bannerFlag = true
                data?.let {
                    item_promotions_egv.visibility = View.VISIBLE
                    hotList = it.list
                    item_promotions_egv.adapter = GvMyAdapter(mContext, requireActivity(), hotList)
                }
            }
        }
    }

    override fun getSignInHomePageMsgSuc(signBean: SignCardBean?) {
        if (signBean == null) {
            signCardBean = null
            return
        }

        signCardBean = signBean
        // 初始化签到
        setSignDayLayout(signCardBean!!)
    }

    override fun signInHomePageSuc() {
        val bundle = Bundle()
        bundle.putInt(Constant.MAIN_CUR_COIN, curSignCoin)
        bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_SIGNIN_HOMEPAGE_AWARD)
        readyGo(AwardActivity::class.java, bundle)
    }

    override fun userLoginSuc() {
        SceneManager.signIn(requireActivity())
        RsNewsManager.init(baseApplication)


        myPresenter.getAutoUserHallBaseMsg()
        myPresenter.getHallBaseMsg()
    }

    override fun getHallBaseMsgSuc(data: UserTaskMsgBean) {
        if (requireActivity().isFinishing) {
            return
        }

        // 更新权重
        initAdWeight(data)
        AppConfig.app_black_name = data.userRiskApps.userRiskAppName
        AppConfig.app_black_pkg = data.userRiskApps.userRiskAppPkg
        AppConfig.flVideoFlag = data.vedioRules.isFlVideoFlag
        if (data.adcode != null) {
            AppConfig.user_channel_ad = data.adcode.key
        }
        ChannelManager.updataCodeIdForRegisterChannel(data.adcode)


        // 新人福利
        if (data.userMsg.firstGiveCoin > 0) {
            val bundle = Bundle()
            bundle.putInt(Constant.MAIN_CUR_COIN, data.userMsg.firstGiveCoin)
            bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_NEW_USER)
            readyGo(AwardActivity::class.java, bundle)
        } else {
            // 离线收益
            if (data.offlineBean.offlineIncome > 0) {
                val bundle = Bundle()
                bundle.putInt(Constant.MAIN_CUR_COIN, data.offlineBean.offlineIncome)
                bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_OFFLINE_DOUBLE)
                readyGo(AwardActivity::class.java, bundle)
            }
        }
    }

    override fun onRefresh(refreshLayout: RefreshLayout) {
        if (userManager.userID.isNotEmpty()) {
            myPresenter.getAutoUserHallBaseMsg()
        } else {
            myPresenter.userLogin()
        }
    }

    /**
     * 设置签到样式
     *
     * @param signCardBean
     */
    private fun setSignDayLayout(signCardBean: SignCardBean) {
        ll_my_sign.visibility = View.VISIBLE
        val nowDate = signCardBean.nowDate
        var signStatus = 0 //0-未签到 1-已签到 2-已签到且看了视频
        val signList = signCardBean.list
        if (signList != null && signList.size > 0) {
            val signGoldList = ArrayList<Int>()
            val signViewBean = SignViewBean()
            for (i in signList.indices) {
                val signBean = signList[i]
                val signDays = signBean.d
                // 初始化每天的金币
                when (signDays) {
                    1 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.firstStatus = signBean.status
                    }
                    2 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.twoStatus = signBean.status
                    }
                    3 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.threeStatus = signBean.status
                    }
                    4 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.fourStatus = signBean.status
                    }
                    5 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.fiveStatus = signBean.status
                    }
                    6 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.sixStatus = signBean.status
                    }
                    7 -> {
                        signGoldList.add(signBean.coin)
                        signViewBean.sevenStatus = signBean.status
                    }
                }

                // 获取当天状态
                if (nowDate == signDays) {
                    signStatus = signBean.status
                    curSignCoin = signBean.coin
                }
            }

            // 初始化金币数据
            item_clock_signview.initSignViewGoldLayout(signGoldList)
            // 设置签到样式
            item_clock_signview.setSignViewLayout(signViewBean)
            // 重新设置当天签到样式
            item_clock_signview.setCurDaysSignViewLayout(nowDate, signStatus)
            if (signStatus == 0) {
                myPresenter.signInHomePage()
            }
        }

        // 根据当天状态 计算连续签到天数
        val alwaysSignDay = if (signStatus == 0) {
            nowDate - 1
        } else {
            nowDate
        }
        item_clock_signday.text = SpanUtils()
                .append("  已连续签到").setForegroundColor(mContext.resources.getColor(R.color.color_172B54))
                .append(" $alwaysSignDay ").setForegroundColor(mContext.resources.getColor(R.color.color_F18542))
                .append("天").setForegroundColor(mContext.resources.getColor(R.color.color_172B54))
                .create()
        val finalSignStatus = signStatus
        item_clock_signview.setSignViewListener { day ->
            if (nowDate == day) {
                if (finalSignStatus == 1) {
                    carrierType = Constant.CARRIER_SIGNIN_HOMEPAGE_CARD
                    awardVedio(curSignCoin * 2, Constant.CARRIER_SIGNIN_HOMEPAGE_CARD)
                }
            }
        }
    }

    private fun setUserLoginStatus() {
        if (userManager.userIsLogin()) {
            // 已登录
            if (userManager.wxOpenid.isNotEmpty()) {
                GlideUtils.loadImageViewLoding(context, userManager.wxHeader, item_title_avatar, R.mipmap.ic_my, R.mipmap.ic_my)
                if (userManager.wxName.isEmpty()) {
                    var mobile = userManager.mobile
                    if (mobile.isNotEmpty()) {
                        mobile = mobile.substring(0, 3) + "****" + mobile.substring(mobile.length - 4, mobile.length)
                    }
                    item_title_id.text = "手机:$mobile"
                } else {
                    item_title_id.text = userManager.wxName
                }
            } else {
                var mobile = userManager.mobile
                if (mobile.isNotEmpty()) {
                    mobile = mobile.substring(0, 3) + "****" + mobile.substring(mobile.length - 4, mobile.length)
                }
                item_title_id.text = "手机:$mobile"
                item_title_avatar.setImageResource(R.mipmap.ic_my)
            }
        } else {
            // 未登录
            var userId = userManager.userID
            if (userId.isNotEmpty() && userId.length > 11) {
                userId = userId.substring(userId.length - 10)
                item_title_id.text = "游客$userId 去登录"
            } else {
                item_title_id.text = "游客 去登录"
            }
            item_title_avatar.setImageResource(R.mipmap.ic_my)
        }
        var userGold = "0.00"
        if (userConfig != null) {
            if (BuildConfig.DEBUG) {
                item_title_invitecode.text = "-邀请码：" + userConfig!!.userMsg.idcode
            } else {
                item_title_invitecode.text = "邀请码：" + userConfig!!.userMsg.idcode
            }
            val allcoinBig = BigDecimal(userConfig!!.userMsg.coin.toString())
            val rateBig = BigDecimal("10000")
            val cashStr: String = allcoinBig.divide(rateBig).setScale(2, BigDecimal.ROUND_DOWN).toString()
            item_title_gold_about.text = "约" + cashStr + "元"

            userGold = CommonUtils.formatString(userConfig!!.userMsg.coin.toString())
            userManager.usercash = userConfig!!.userMsg.coin.toString()
        }
        item_title_gold_count.text = userGold
    }

    /**
     * 处理列表数据
     */
    private fun handleRecyData() {
        userConfig?.let {
            item_bottom_qqGroupNum.text = userConfig?.qqMsg?.useqq?.name + "：" + userConfig?.qqMsg?.useqq?.qq
        }

        dataList.clear()
        dataList.addAll(userConfig!!.autoList)
        mainMyAdapter?.notifyDataSetChanged()
    }

    override fun onItemChildClick(view: View?, position: Int) {
        if (AntiShake.check(view?.id)) return

        if (!NetUtils.isNetworkConnected(context)) {
            showToast("网络异常,请检测网络")
            return
        }

        when (view?.id) {
            R.id.item_task_click -> {
                val taskBean = dataList[position]
                when (taskBean.baseConfig.taskId) {
                    // 跳转首页视频
                    MainMyAdapter.TO_HOME -> {
                        if (taskBean.otherConfig != null) {
                            when (taskBean.otherConfig.status) {
                                0, 2 -> {
                                    val activity: MainActivity? = activity as MainActivity?
                                    activity?.let {
                                        it.clickTab1Layout()
                                        it.selectVedio()
                                    }
                                }
                                1 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.MAIN_CUR_COIN, taskBean.otherConfig.coin)
                                    bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_HOMEVEDIO_CHALLENGE)
                                    readyGo(AwardActivity::class.java, bundle)
                                }
                            }
                        }
                    }
                    // 跳转短视频
                    MainMyAdapter.TO_MINI_VEDIO -> {
                        if (taskBean.otherConfig != null) {
                            when (taskBean.otherConfig.status) {
                                0, 2 -> {
                                    val activity: MainActivity? = activity as MainActivity?
                                    activity?.clickTab2Layout()
                                }
                                1 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.MAIN_CUR_COIN, taskBean.otherConfig.coin)
                                    bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_MINIVEDIO_CHALLENGE)
                                    readyGo(AwardActivity::class.java, bundle)
                                }
                            }
                        }
                    }
                    // 邀好友赚金币
                    MainMyAdapter.APP_SHAREFRIEND -> {
                        if (taskBean.otherConfig != null) {
                            when (taskBean.otherConfig.status) {
                                0, 2 -> {
                                    // 邀请好友
                                    if (!UserManager.getInstance().userIsLogin()) {
                                        readyGo(WxLoginActivity::class.java)
                                        return
                                    }

                                    if (!ps.getBoolean(Constant.FIRST_SHARE_MY, false)) {
                                        // 第一次邀请提示弹框
                                        firstWeChatInvite()
                                    } else {
                                        shareImgDialog()
                                    }
                                }
                                1 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.MAIN_CUR_COIN, taskBean.otherConfig.coin)
                                    bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CHALLENGE_SHAREFRIEND)
                                    bundle.putString(Constant.MAIN_EXTRA_ID, taskBean.otherConfig.doubleCoin.toString())
                                    readyGo(AwardActivity::class.java, bundle)
                                }
                            }
                        }
                    }
                    // 看福利视频赚金币
                    MainMyAdapter.APP_VEDIO -> {
                        if (taskBean.otherConfig != null) {
                            if (taskBean.otherConfig.complete >= taskBean.otherConfig.max) {
                                showToast("看福利视频赚金币任务已完成，请明日再来")
                                return
                            }

                            awardVedio(taskBean.otherConfig.coin, Constant.CARRIER_VERSUS_VIDEO)
                        }

                    }
                    // 玩游戏，赚金币
                    MainMyAdapter.TO_LIEBAO -> {
                        if (taskBean.otherConfig != null) {
                            when (taskBean.otherConfig.status) {
                                0, 2 -> {
                                    readyGo(LiebaoGameActivity::class.java)
                                }
                                1 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.MAIN_CUR_COIN, taskBean.otherConfig.coin)
                                    bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_GAME_ONLINE)
                                    readyGo(AwardActivity::class.java, bundle)
                                }
                            }
                        }
                    }
                    // 新闻
                    MainMyAdapter.TO_RUISHI -> {
                        if (taskBean.otherConfig != null) {
                            when (taskBean.otherConfig.status) {
                                0, 2 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.WRAPPER_TYPE, Constant.WRAPPER_TYPE_NEWS)
                                    readyGo(WrapperActivity::class.java, bundle)
                                }
                                1 -> {
                                    val bundle = Bundle()
                                    bundle.putInt(Constant.MAIN_CUR_COIN, taskBean.otherConfig.coin)
                                    bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_RUISHINEWS_CHALLANGE)
                                    readyGo(AwardActivity::class.java, bundle)
                                }
                            }
                        }
                    }
                    // 小说
                    MainMyAdapter.TO_ZHANGYUE -> {
                        val activity: MainActivity? = activity as MainActivity?
                        activity?.let {
                            it.clickTab1Layout()
                            it.selectBook()
                        }

                    }
                    // 试玩平台
                    MainMyAdapter.TO_YWHZ -> {
                        if (!userManager.userIsLogin()) {
                            readyGo(WxLoginActivity::class.java)
                            return
                        }

                        try {
                            activity?.let { open(it) }
                        } catch (e: Exception) {
                            e.printStackTrace()
                            showToast("请重新退出账号登录")
                        }
                    }
                    MainMyAdapter.TO_DHGAME -> {
                        if (!UserManager.getInstance().userIsLogin()) {
                            readyGo(WxLoginActivity::class.java)
                            return
                        }

                        readyGo(DhGameActivity::class.java)
                    }
                }
            }
        }
    }

    override fun onClick(v: View?) {
        if (AntiShake.check(view?.id)) return

        if (!NetUtils.isNetworkConnected(context)) {
            showToast("网络异常,请检测网络")
            return
        }

        when (v?.id) {
            R.id.ll_my_login -> {
                if (!userManager.userIsLogin()) {
                    readyGo(WxLoginActivity::class.java)
                }
            }
            R.id.iv_right_icon2 -> {
                // 跳转QQ客服
                jumpQQGroup()
            }
            R.id.item_customer_service -> {
                // 跳转加入QQ群
                jumpQQGroup()
            }
            R.id.item_title_id -> {
                if (!userManager.userIsLogin()) {
                    readyGo(WxLoginActivity::class.java)
                }
            }
            R.id.iv_right_icon -> {
                readyGo(SettingsActivity::class.java)
            }
            R.id.btn_withdraw -> {
                if (userConfig == null) {
                    showToast("网络异常,请检测网络！")
                    myPresenter.getAutoUserHallBaseMsg()
                    return
                }

                readyGo(DrawcashActivity::class.java)
            }
            R.id.btn_coinRecord -> {
                if (userConfig == null) {
                    showToast("网络异常,请检测网络！")
                    myPresenter.getAutoUserHallBaseMsg()
                    return
                }

                readyGo(CoinRecordActivity::class.java)
            }
            R.id.item_title_invitecode -> {
                if (userConfig != null) {
                    val invitedCode = userConfig!!.userMsg.idcode
                    if (!TextUtils.isEmpty(invitedCode)) {
                        showToast("复制成功")
                        val clipboardManager = mContext.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
                        clipboardManager.setPrimaryClip(ClipData.newPlainText("invitecode_copy", invitedCode))
                    }
                }
            }
            R.id.item_title_invitecode_copy -> {
                if (userConfig != null) {
                    val invitedCode = userConfig!!.userMsg.idcode
                    if (!TextUtils.isEmpty(invitedCode)) {
                        showToast("复制成功")
                        val clipboardManager = mContext.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
                        clipboardManager.setPrimaryClip(ClipData.newPlainText("invitecode_copy", invitedCode))
                    }
                }
            }
        }
    }

    override fun onItemClick(parent: AdapterView<*>, view: View, position: Int, id: Long) {
        if (hotList!!.isNotEmpty()) {
            val hotBean: BannerBean.ListBean = hotList!![position]

            if (!TextUtils.isEmpty(hotBean.toUrl)) {
                // 自有界面
                when (hotBean.toUrl) {
                    Constant.HOT_ACTIVITY_WATER -> {
                        TTPreLoadCarrierExpressManager.getInstance().loadTtFrameLayout(TtCsjAdManager.TT_AD_NATIVEEXPRESS_WATER)
                        readyGo(WaterActivity::class.java)
                    }
                    Constant.HOT_ACTIVITY_WALK -> {
                        TTPreLoadCarrierExpressManager.getInstance().loadTtFrameLayout(TtCsjAdManager.TT_AD_NATIVEEXPRESS_WALK)
                        readyGo(WalkActivity::class.java)
                    }
                    Constant.HOT_ACTIVITY_CARD -> {
                        readyGo(EraseActivity::class.java)
                    }
                    Constant.HOT_ACTIVITY_LIEBAO -> {
                        readyGo(LiebaoGameActivity::class.java)
                    }
                    Constant.HOT_ACTIVITY_MORNINGCLOCK -> {
                        TTPreLoadCarrierExpressManager.getInstance().loadTtFrameLayout(TtCsjAdManager.TT_AD_NATIVEEXPRESS_MORNINGCLOCK)
                        readyGo(MorningClockActivity::class.java)
                    }
                    Constant.HOT_ACTIVITY_BXM -> {
                        // 消费变现猫事件
                    }
                    Constant.HOT_ACTIVITY_CAICY -> {
                        RxPermissions(requireActivity())
                                .request(Manifest.permission.READ_PHONE_STATE)
                                .subscribe { granted: Boolean ->
                                    if (granted) {
                                        if (AppConfig.scene_flag) {
                                            // 猜成语
                                            SceneUtil.cCy(requireActivity())
                                        } else {
                                            SceneManager.signIn(requireActivity())
                                        }
                                    } else {
                                        showMissingPermissionDialog("设备")
                                    }
                                }
                    }
                    Constant.HOT_ACTIVITY_DATI -> {
                        RxPermissions(requireActivity())
                                .request(Manifest.permission.READ_PHONE_STATE)
                                .subscribe { granted: Boolean ->
                                    if (granted) {
                                        if (AppConfig.scene_flag) {
                                            // 答题
                                            SceneUtil.daTi(requireActivity())
                                        } else {
                                            SceneManager.signIn(requireActivity())
                                        }
                                    } else {
                                        showMissingPermissionDialog("设备")
                                    }
                                }


                    }
                    Constant.HOT_ACTIVITY_SCRAPPAGE -> {
                        RxPermissions(requireActivity())
                                .request(Manifest.permission.READ_PHONE_STATE)
                                .subscribe { granted: Boolean ->
                                    if (granted) {
                                        if (AppConfig.scene_flag) {
                                            // 刮刮乐
                                            SceneUtil.scrapPage(requireActivity())
                                        } else {
                                            SceneManager.signIn(requireActivity())
                                        }
                                    } else {
                                        showMissingPermissionDialog("设备")
                                    }
                                }
                    }
                    Constant.HOT_ACTIVITY_BOOK -> {
                        // 小说
                        val bundle = Bundle()
                        bundle.putInt(Constant.WRAPPER_TYPE, Constant.WRAPPER_TYPE_BOOK)
                        readyGo(WrapperActivity::class.java, bundle)
                    }
                    Constant.HOT_ACTIVITY_NEWS -> {
                        // 新闻
                        val bundle = Bundle()
                        bundle.putInt(Constant.WRAPPER_TYPE, Constant.WRAPPER_TYPE_NEWS)
                        readyGo(WrapperActivity::class.java, bundle)
                    }
                    Constant.HOT_ACTIVITY_EAT -> {
                        TTPreLoadCarrierExpressManager.getInstance().loadTtFrameLayout(TtCsjAdManager.TT_AD_NATIVEEXPRESS_EAT)
                        readyGo(FoodSubsidyActivity::class.java)
                    }
                    else -> {
                        if (!TextUtils.isEmpty(hotBean.url) && !TextUtils.isEmpty(hotBean.title)) {
                            val bundle = Bundle()
                            bundle.putString(WebActivity.WEB_TITLE, hotBean.title)
                            bundle.putString(WebActivity.WEB_URL, hotBean.url)
                            readyGo(WebActivity::class.java, bundle)
                        }
                    }
                }
            }
        }
    }

    /**
     * 获取激励视频
     */
    private fun awardVedio(coin: Int, carrierType: String) {
        if (vedioAdingManager.vedioFinishFlag) {
            showToast("今日视频已看完，请明天再来吧")
            return
        }

        loadVedioFailCount = 0
        showLoading("加载中...")

        val bean = VedioAdingBean()
        bean.carrierType = carrierType
        bean.curCoin = coin

        loadVedio(vedioAdingManager, bean, true)
    }

    /**
     * 加载激励视频
     */
    private fun loadVedio(vedioAdingManager: VedioAdingManager, bean: VedioAdingBean, isFirstLoad: Boolean) {
        vedioAdingManager.setVedioAdingListener(object : VedioAdingManager.VedioAdingListener {
            override fun vedioAdingListenerError(adType: String) {
                showToast("加载超时，请休息一下")
                hideLoading()
            }

            override fun vedioAdingListenerFail(adType: String) {
                loadVedioFailCount++
                if (loadVedioFailCount >= 2) {
                    hideLoading()
                    showToast("加载失败，请稍后重试!")
                } else {
                    loadVedio(vedioAdingManager, bean, false)
                }
            }

            override fun vedioAdingListenerSuccess(adType: String) {
                hideLoading()
                vedioAdingSuccess(adType)
            }
        })
        if (isFirstLoad) {
            // 首页按权重加载
            vedioAdingManager.loadAding(activity, bean)
        } else {
            // 失败按优先级加载
            vedioAdingManager.loadFailAding(activity, bean)
        }
    }

    private fun vedioAdingSuccess(adType: String) {
        if (activity != null && !activity!!.isFinishing()) {
            val bundle = Bundle()
            if (TextUtils.equals(carrierType, Constant.CARRIER_SIGNIN_HOMEPAGE_CARD)) {
                bundle.putInt(Constant.MAIN_CUR_COIN, curSignCoin * 2)
                bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_SIGNIN_HOMEPAGE_CARD)
                readyGo(AwardActivity::class.java, bundle)
                return
            }

            userConfig?.let {
                for (autoListBean in it.autoList) {
                    if (autoListBean.baseConfig.taskId == MainMyAdapter.APP_VEDIO) {
                        if (autoListBean.otherConfig != null) {
                            bundle.putInt(Constant.MAIN_CUR_COIN, autoListBean.otherConfig.coin)
                            bundle.putString(Constant.MAIN_CARRIER_TYPE, Constant.CARRIER_VERSUS_VIDEO)
                            readyGo(AwardActivity::class.java, bundle)
                            return
                        }
                    }
                }
            }
        }
    }

    /**
     * 跳转QQ群弹框
     */
    private fun jumpQQGroup() {
        cdaa = CustomDialogAsApple(context, object : DialogListener() {
            override fun onClick(v: View) {
                if (cdaa != null && cdaa!!.isShowing) {
                    cdaa!!.dismiss()
                }
                when (v.id) {
                    R.id.dialog_btn_left -> {

                    }
                    R.id.dialog_btn_right -> {
                        userConfig?.let {
                            QQJumpUtil.jumpQQGroup(it.qqMsg.useqq.url, requireActivity())
                        }
                    }
                }
            }
        })
        cdaa!!.setTitle("提示")
        cdaa!!.setContent("好赚钱想要打开QQ")
        cdaa!!.setLeft("取消")
        cdaa!!.setRight("打开")
        cdaa!!.show()
    }

    /**
     * 第一次微信分享弹框
     */
    private fun firstWeChatInvite() {
        cdaa = CustomDialogAsApple(context, object : DialogListener() {
            override fun onClick(v: View) {
                if (cdaa != null && cdaa!!.isShowing) {
                    cdaa!!.dismiss()
                }
                when (v.id) {
                    R.id.dialog_btn_left -> {

                    }
                    R.id.dialog_btn_right -> {
                        ps.put(Constant.FIRST_SHARE_MY, true)
                        cdaa!!.dismiss()

                        shareImgDialog()
                    }
                }
            }
        })
        cdaa!!.setTitle("提示")
        cdaa!!.setContent("被邀请人需要登录才能获得贡献值")
        cdaa!!.setLeft("取消")
        cdaa!!.setRight("打开微信")
        cdaa!!.show()
    }

    /**
     * 图片分享
     */
    private fun shareImgDialog() {
        val shareDialog = ShareDialog(requireActivity())
        shareDialog.setOnShareOKListener(object : ShareDialog.OnShareOKListener {
            override fun onShareOk() {
                myPresenter.cmtShareStatus()
            }
        })
        val userManager = UserManager.getInstance()
        val title: String
        if (userManager.wxName.isEmpty()) {
            var mobile = userManager.mobile
            if (mobile.isNotEmpty()) {
                mobile = mobile.substring(0, 3) + "****" + mobile.substring(mobile.length - 4, mobile.length)
            }
            title = "Hi,我是$mobile"
        } else {
            title = "Hi,我是" + userManager.wxName
        }
        val content = "送你一个赚钱的新模式，\r\n快点加入跟我一起赚钱吧"
        shareDialog.setShareAvatar(userManager.wxHeader)
        shareDialog.setShareTitle(title)
        shareDialog.setShareContent(content)
        shareDialog.show()
    }

    private fun initManager() {
        BannerManager.init()
        vedioAdingManager = VedioAdingManager.getInstance(activity)

        if (!TextUtils.isEmpty(userManager.userID)) {
            // 登录成功的用户初始化鱼丸盒子
            if (userManager.userIsLogin()) {
                YwhzManager.init(baseApplication)
            }
        }

        // 聚乐云初始化
        SceneManager.initScene()
        SceneManager.signIn(requireActivity())
    }

    private fun initView() {
        tv_title.text = "个人中心"
        view_title.text = "每日任务"
        iv_right_icon.visibility = View.VISIBLE
        iv_right_icon.setImageResource(R.mipmap.ic_settings)
        iv_right_icon2.visibility = View.VISIBLE
        iv_right_icon2.setImageResource(R.mipmap.icon_customer_service)

        iv_right_icon2.setOnClickListener(this)
        item_title_id.setOnClickListener(this)
        iv_right_icon.setOnClickListener(this)
        btn_withdraw.setOnClickListener(this)
        btn_coinRecord.setOnClickListener(this)
        item_title_invitecode.setOnClickListener(this)
        item_title_invitecode_copy.setOnClickListener(this)
        ll_my_login.setOnClickListener(this)
        item_customer_service.setOnClickListener(this)

        item_promotions_egv.onItemClickListener = this
    }

    /**
     * 初始化Recyclerview
     */
    private fun initRecy() {
        recy_my.addItemDecoration(DividerItemDecoration(mContext, DividerItemDecoration.VERTICAL))
        recy_my.setItemViewCacheSize(10)
        mainMyAdapter = MainMyAdapter(mContext, dataList)
        recy_my.adapter = mainMyAdapter
        mainMyAdapter?.setOnItemChildClickListener(this)
    }

    /**
     * 设置视频权重
     */
    private fun initAdWeight(data: UserTaskMsgBean) {
        vedioAdingManager.initAdWeight(data.vedioRules.csJ_VEDIO.rate, data.vedioRules.ylH_VEDIO.rate, data.vedioRules.sdhZ_VEDIO.rate, data.vedioRules.fL_VEDIO.rate)
        LogUtil.d(TAG, "首页权重值：csjWeight:${data.vedioRules.csJ_VEDIO.rate}    ylhWeight:${data.vedioRules.ylH_VEDIO.rate}    sdhzWeight:${data.vedioRules.sdhZ_VEDIO.rate}    flWeight:${data.vedioRules.fL_VEDIO.rate}")
        // 广告视频数
        AppConfig.csjVedioAdCount = data.vedioRules.csJ_VEDIO.surplus
        AppConfig.ylhAdCount = data.vedioRules.ylH_VEDIO.surplus
        AppConfig.wnVedioAdCount = data.vedioRules.sdhZ_VEDIO.surplus
        AppConfig.flVedioAdCount = data.vedioRules.fL_VEDIO.surplus
        LogUtil.d(TAG, "首页视频数：csjCount:${AppConfig.csjVedioAdCount}    ylhCount:${AppConfig.ylhAdCount}    sdhzCount:${AppConfig.wnVedioAdCount}    flCount:${AppConfig.flVedioAdCount}")
    }
}