package com.mints.goodmoney.ui.fragment

import androidx.fragment.app.Fragment
import androidx.viewpager.widget.ViewPager
import com.mints.goodmoney.R
import com.mints.goodmoney.common.AppConfig
import com.mints.goodmoney.common.Constant
import com.mints.goodmoney.ui.adapter.MessageFragAdapter
import com.mints.goodmoney.ui.fragment.base.LazyLoadBaseFragment
import kotlinx.android.synthetic.main.fragment_main_xmly.*

/**
 * 描述：喜马拉雅
 * 作者：孟崔广
 */
class XmlyFragment : LazyLoadBaseFragment() {

    override fun getContentViewLayoutID() = R.layout.fragment_main_xmly

    override fun initViewsAndEvents() {

    }

    override fun onFragmentFirstVisible() {
        super.onFragmentFirstVisible()

        // 获取tab
        initView()
    }

    override fun onFragmentResume() {
        super.onFragmentResume()
        if (AppConfig.fragmentClickFlag == Constant.FRAGMENT_CLICK_MAIN) {
        }
    }

    private fun initView() {
        val tabs: MutableList<String> = ArrayList()
        val fragments: MutableList<Fragment> = ArrayList()
        for (i in 1..10) {
            tabs.add("视频" + i)
            fragments.add(XmlyPageFragment(i))
        }

        //去除两侧应阴影
        xtFragmentXmly.overScrollMode = ViewPager.OVER_SCROLL_NEVER
        vpFragmentXmly.offscreenPageLimit = tabs.size + 3
        val adapter = MessageFragAdapter(childFragmentManager, fragments, tabs)
        vpFragmentXmly.adapter = adapter
        xtFragmentXmly.setxTabDisplayNum(tabs.size)
        xtFragmentXmly.setupWithViewPager(vpFragmentXmly)
    }
}